# DH_Einführungen

Die *DH Einführungen* geben im ersten Teil einen Überblick über die für das Thema relevanten Datenformate, Werkzeuge und Vorgehensweisen. Im zweiten Teil besteht die Möglichkeit, an einer kleinen Beispielaufgabe die Werkzeuge und Techniken selber auszuprobieren.

- Für Studierende und Forschende der Geistes- und Sozialwissenschaften
- Keine Vorkenntnisse erforderlich

### Web-Scraping und HTML, CSS und Javascript

Verstehe den Aufbau von Webseiten aus HTML, CSS und Javascript und lies ihren Inhalt mit Firefox und Python aus.

Du hast eine Website mit wichtigem Inhalt für dein Forschungsprojekt gefunden und suchst nach einem einfacheren Weg, die Informationen herunterzuladen, als sie per copy & paste mühsam einzeln einzusammeln? 

Moderne Webbrowser wie Firefox lassen Dich mit eingebauten "Entwickler-Tools" hinter die Kulissen einer Website schauen. In dieser *DH Einführung* lernst du kennen, wie im Quellcode einer Seite HTML, CSS und Javascript zusammenwirken. Mit diesem Wissen kannst du die Elemente der Seite identifizieren, die du im nächsten Schritt mit einem Python-Script auslesen wirst. Manchmal reicht es auch, im Browser einen Wert im Quellcode zu manipulieren, um zum Beispiel eine Begrenzung der auf einer Seite angezeigten Zeilen einer Tabelle zu erweitern und so alle Zeilen auf einmal zu kopieren.

